Bug 1300217 - Review Request: python-ripe-atlas-sagan - A parsing library for RIPE Atlas measurement results
Review Request: python-ripe-atlas-sagan - A parsing library for RIPE Atlas me...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1300222
  Show dependency treegraph
 
Reported: 2016-01-20 04:57 EST by Jan Včelák
Modified: 2016-06-03 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 19:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2016-01-20 04:57:53 EST
Spec URL: https://jvcelak.fedorapeople.org/review/ripe-atlas-sagan/1.0.8-2/ripe-atlas-sagan.spec
SRPM URL: https://jvcelak.fedorapeople.org/review/ripe-atlas-sagan/1.0.8-2/ripe-atlas-sagan-1.1.8-2.fc23.src.rpm
Description: A parsing library for RIPE Atlas measurement results
Fedora Account System Username: jvcelak

COPR builds: https://copr.fedoraproject.org/coprs/jvcelak/ripe-atlas-tools/package/ripe-atlas-sagan/

The package depends on python-ujson, which is available only in Fedora 24. I've requested the maintainer to rebuild the package for Fedora 23 as well.
Comment 4 Paul Wouters 2016-05-11 21:06:03 EDT
NEEDS FIXING

     PAUL: There is an issue with various python-*-ripe* packages all
     owning the site-packages/ripe directory.

     PAUL: There seems to be generated python pyc version mismatching
     between python2/python3 ?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /tmp/1300217
     -python-ripe-atlas-sagan/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
     PAUL: There is an issue with various python-*-ripe* packages all
     owning the site-packages/ripe
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
     PAUL: There is an issue with various python-*-ripe* packages all
     owning the site-packages/ripe
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/ripe(python2-ripe-atlas-cousteau), /usr/lib/python2.7/site-
     packages/ripe/atlas(python2-ripe-atlas-cousteau)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
      PAUL: conflict in owning site-packages/ripe directory
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -ripe-atlas-sagan , python2-ripe-atlas-sagan
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python3-ripe-atlas-sagan-1.1.10-1.fc25.noarch.rpm
          python2-ripe-atlas-sagan-1.1.10-1.fc25.noarch.rpm
          python-ripe-atlas-sagan-1.1.10-1.fc25.src.rpm
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ping.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/helpers/abuf.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/dns.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/base.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ssl.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/traceroute.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/__init__.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/http.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ntp.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/helpers/__init__.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/version.pyc expected 3350 (3.5), found 62211 (2.7)
3 packages and 0 specfiles checked; 11 errors, 0 warnings.



Rpmlint (installed packages)
----------------------------
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/helpers/__init__.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/dns.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/version.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/__init__.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ping.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ntp.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/traceroute.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/helpers/abuf.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/base.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/ssl.pyc expected 3350 (3.5), found 62211 (2.7)
python3-ripe-atlas-sagan.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.5/site-packages/ripe/atlas/sagan/http.pyc expected 3350 (3.5), found 62211 (2.7)
2 packages and 0 specfiles checked; 11 errors, 0 warnings.



Requires
--------
python2-ripe-atlas-sagan (rpmlib, GLIBC filtered):
    pyOpenSSL
    python(abi)
    python-IPy
    python-dateutil
    python2-pytz

python3-ripe-atlas-sagan (rpmlib, GLIBC filtered):
    python(abi)
    python-IPy-python3
    python3-dateutil
    python3-pyOpenSSL
    python3-pytz



Provides
--------
python2-ripe-atlas-sagan:
    python-ripe-atlas-sagan
    python2-ripe-atlas-sagan

python3-ripe-atlas-sagan:
    python3-ripe-atlas-sagan

Source checksums
----------------

https://pypi.python.org/packages/source/r/ripe.atlas.sagan/ripe.atlas.sagan-1.1.10.tar.gz :
  CHECKSUM(SHA256) this package     : 3831bf2bc66188c5764b3d0b3c0e5387b3d670d0a8839ed464a244c6ffe5288b
  CHECKSUM(SHA256) upstream package : 3831bf2bc66188c5764b3d0b3c0e5387b3d670d0a8839ed464a244c6ffe5288b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1300217
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Jan Včelák 2016-05-23 08:11:32 EDT
(In reply to Paul Wouters from comment #4)
> NEEDS FIXING
> 
>      PAUL: There is an issue with various python-*-ripe* packages all
>      owning the site-packages/ripe directory.

I think [1] applies here. The packages ripe-atlas-sagan and ripe-atlas-cousteau are independent. And it make a little sense to add something like python-ripe-filesystem package here.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

>      PAUL: There seems to be generated python pyc version mismatching
>      between python2/python3 ?

I'm not seeing this problem anymore with fresh build and current rpmlint on Fedora 24.
Comment 6 Paul Wouters 2016-05-30 16:08:54 EDT
Fair enough, then this review is PASSED.
Comment 7 Jan Včelák 2016-06-01 03:22:25 EDT
Paul, please, can you fix the flags? :-)
Comment 8 Gwyn Ciesla 2016-06-03 12:37:41 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ripe-atlas-sagan

Note You need to log in before you can comment on or make changes to this bug.